<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Модерация отзывов');
$title->GetHeader();
if ($b['level'] < 3) {
header('location:/');
die();
}
echo '<div class="tile"><div class="t-header th-alt bg-teal"><div class="th-title"><i class="zmdi zmdi-widgets"></i><a href="/"style="text-decoration:none; color:white;"> Главная</a> :: <a href="/administration/"style="text-decoration:none; color:white;"> Дата-центр</a> :: Модерация отзывов</div></div></div>';

if (isset($_GET['yes'])) {
$arr = DB::$dbs->queryFetch("SELECT user_id,type,id FROM otzyvy WHERE id = ? LIMIT 1", [abs((int)$_GET['yes'])]);
DB::$dbs->query("UPDATE `blogger` SET `gears` = `gears` + ? WHERE id = ?", [1,$b['id']]);
DB::$dbs->query("UPDATE `otzyvy` SET `activ` = ? WHERE `id` = ?", [1,abs((int)$_GET['yes'])]);
$mess = 'Ваш отзыв одобрен';
jurnal($arr['user_id'],$mess,5);
lenta(Nick($arr['user_id']).' оставил '.($arr['type'] == 1 ? '<b><font color="green">положительный</font></b>':'<b><font color="red">отрицательный</font></b>').' отзыв о сайте.');
}
if (isset($_GET['no'])) {
$arr = DB::$dbs->queryFetch("SELECT user_id,id FROM otzyvy WHERE id = ? LIMIT 1", [abs((int)$_GET['no'])]);
$mess = 'Ваш отзыв не одобрен';
jurnal($arr['user_id'],$mess,5);
DB::$dbs->query("DELETE FROM `otzyvy` WHERE `id` = ?",[abs((int)$_GET['no'])]);
}
$sql = DB::$dbs -> query("SELECT * FROM `otzyvy` WHERE `activ` = ? ORDER BY `time` DESC", [0]);
if ($sql->rowCount() == 0) {
echo '<div class="alert alert-danger" role="alert">Нет отзывов на модерации</div>';
} else {
while($a = $sql -> fetch()) {
echo '<div class="list-group-item media"><i class="zmdi zmdi-shuffle"></i>  Оставил отзыв: '.Nick($a['user_id']).' ('.vr($a['time']).')<br/>Тип: <b>'.($a['type'] == 1 ? '<b style="color: green;">Положительный</b>':'<b style="color: red;">Отрицательный</b>').'</b><br/>Текст отзыва:<br/>'.text($a['text']).'<br/>
<i class="zmdi zmdi-shuffle"></i>  <a href="?yes='.$a['id'].'" style="color: green;">[Одобрить]</a> / <a style="color: red;" href="?no='.$a['id'].'">[Удалить]</a></div>';
}
}
$title->GetMenu();
$title->GetFooter();
?>